Name:           unpaper
Version:        0_2
Release:        2%{?dist}
Summary:        Post-processing of scanned and photocopied book pages

Group:          Applications/Publishing
License:        GPL
URL:            http://unpaper.berlios.de
# Original source originates from:
# http://download.berlios.de/unpaper/unpaper-0_2.tgz
# but because it contains a binary, the included source was created by
# running:
#
# zcat unpaper-0_2.tgz | tar -f - --delete unpaper \
#   | gzip > unpaper-0_2-fedora.tgz
# 
Source0:        unpaper-0_2-clean.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


%description
unpaper is a post-processing tool for scanned sheets of paper, especially for
book pages that have been scanned from previously created photocopies. The
main purpose is to make scanned book pages better readable on screen after
conversion to PDF. Additionally, unpaper might be useful to enhance the
quality of scanned pages before performing optical character recognition (OCR).
unpaper tries to clean scanned images by removing dark edges that appeared
through scanning or copying on areas outside the actual page content (e.g. dark
areas between the left-hand-side and the right-hand-side of a double- sided
book-page scan). The program also tries to detect disaligned centering and
rotation of pages and will automatically straighten each page by rotating it to
the correct angle. This process is called "deskewing".


%prep
%setup -q -c %{name}-%{version}


%build
(cd src && gcc $RPM_OPT_FLAGS -o unpaper unpaper.c -lm)

# fix eol encoding in license.txt
sed -i 's/\r//' license.txt

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/%{_bindir}
install -p -m 0755 src/unpaper $RPM_BUILD_ROOT/%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_bindir}/*
%doc doc license.txt readme.txt unpaper.html

%changelog
* Mon Mar 19 2007 Bernard Johnson <bjohnson@symetrix.com> - 0_2-2
- repackage tgz file without included ELF binary

* Thu Mar 15 2007 Bernard Johnson <bjohnson@symetrix.com> - 0_2-1
- initial release
